#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CookieStoreManager = 2227,
  CountQueuingStrategy = 2246,
  CreateOfferRequest = 2267,
  Credential = 2286,
  CredentialsContainer = 2297,
  Crypto = 2318,
  CryptoKey = 2325,
  CustomElementRegistry = 2335,
  CustomEvent = 2357,
  CustomStateSet = 2369,
  DOMException = 2384,
  DOMImplementation = 2397,
  DOMLocalization = 2415,
  DOMMatrix = 2431,
  DOMMatrixReadOnly = 2441,
  DOMParser = 2459,
  DOMPoint = 2469,
  DOMPointReadOnly = 2478,
  DOMQuad = 2495,
  DOMRect = 2503,
  DOMRectList = 2511,
  DOMRectReadOnly = 2523,
  DOMStringList = 2539,
  DOMStringMap = 2553,
  DOMTokenList = 2566,
  DataTransfer = 2579,
  DataTransferItem = 2592,
  DataTransferItemList = 2609,
  DebuggerNotification = 2630,
  DebuggerNotificationObserver = 2651,
  DecompressionStream = 2680,
  DedicatedWorkerGlobalScope = 2700,
  DelayNode = 2727,
  DeprecationReportBody = 2737,
  DeviceAcceleration = 2759,
  DeviceLightEvent = 2778,
  DeviceMotionEvent = 2795,
  DeviceOrientationEvent = 2813,
  DeviceRotationRate = 2836,
  Directory = 2855,
  Document = 2865,
  DocumentFragment = 2874,
  DocumentL10n = 2891,
  DocumentTimeline = 2904,
  DocumentType = 2921,
  DominatorTree = 2934,
  DragEvent = 2948,
  DynamicsCompressorNode = 2958,
  EXT_blend_minmax = 2981,
  EXT_color_buffer_float = 2998,
  EXT_color_buffer_half_float = 3021,
  EXT_depth_clamp = 3049,
  EXT_disjoint_timer_query = 3065,
  EXT_float_blend = 3090,
  EXT_frag_depth = 3106,
  EXT_sRGB = 3121,
  EXT_shader_texture_lod = 3130,
  EXT_texture_compression_bptc = 3153,
  EXT_texture_compression_rgtc = 3182,
  EXT_texture_filter_anisotropic = 3211,
  EXT_texture_norm16 = 3242,
  Element = 3261,
  ElementInternals = 3269,
  EncodedAudioChunk = 3286,
  EncodedVideoChunk = 3304,
  ErrorEvent = 3322,
  Event = 3333,
  EventCallbackDebuggerNotification = 3339,
  EventCounts = 3373,
  EventSource = 3385,
  EventTarget = 3397,
  Exception = 3409,
  ExtendableCookieChangeEvent = 3419,
  ExtendableEvent = 3447,
  ExtendableMessageEvent = 3463,
  ExtensionAlarms = 3486,
  ExtensionBrowser = 3502,
  ExtensionBrowserSettings = 3519,
  ExtensionBrowserSettingsColorManagement = 3544,
  ExtensionDns = 3584,
  ExtensionEventManager = 3597,
  ExtensionMockAPI = 3619,
  ExtensionPort = 3636,
  ExtensionProxy = 3650,
  ExtensionRuntime = 3665,
  ExtensionScripting = 3682,
  ExtensionSetting = 3701,
  ExtensionTest = 3718,
  External = 3732,
  FeaturePolicy = 3741,
  FeaturePolicyViolationReportBody = 3755,
  FetchEvent = 3788,
  FetchObserver = 3799,
  File = 3813,
  FileList = 3818,
  FileReader = 3827,
  FileReaderSync = 3838,
  FileSystem = 3853,
  FileSystemDirectoryEntry = 3864,
  FileSystemDirectoryHandle = 3889,
  FileSystemDirectoryHandle_AsyncIterator = 3915,
  FileSystemDirectoryIterator = 3955,
  FileSystemDirectoryReader = 3983,
  FileSystemEntry = 4009,
  FileSystemFileEntry = 4025,
  FileSystemFileHandle = 4045,
  FileSystemHandle = 4066,
  FileSystemSyncAccessHandle = 4083,
  FileSystemWritableFileStream = 4110,
  Flex = 4139,
  FlexItemValues = 4144,
  FlexLineValues = 4159,
  FluentBundle = 4174,
  FluentBundleAsyncIterator = 4187,
  FluentBundleIterator = 4213,
  FluentPattern = 4234,
  FluentResource = 4248,
  FocusEvent = 4263,
  FontFace = 4274,
  FontFaceSet = 4283,
  FontFaceSetIterator = 4295,
  FontFaceSetLoadEvent = 4315,
  FormData = 4336,
  FormData_Iterator = 4345,
  FormDataEvent = 4363,
  FragmentDirective = 4377,
  FrameCrashedEvent = 4395,
  FrameLoader = 4413,
  GPU = 4425,
  GPUAdapter = 4429,
  GPUAdapterInfo = 4440,
  GPUBindGroup = 4455,
  GPUBindGroupLayout = 4468,
  GPUBuffer = 4487,
  GPUBufferUsage = 4497,
  GPUCanvasContext = 4512,
  GPUColorWrite = 4529,
  GPUCommandBuffer = 4543,
  GPUCommandEncoder = 4560,
  GPUCompilationInfo = 4578,
  GPUCompilationMessage = 4597,
  GPUComputePassEncoder = 4619,
  GPUComputePipeline = 4641,
  GPUDevice = 4660,
  GPUDeviceLostInfo = 4670,
  GPUError = 4688,
  GPUExternalTexture = 4697,
  GPUInternalError = 4716,
  GPUMapMode = 4733,
  GPUOutOfMemoryError = 4744,
  GPUPipelineError = 4764,
  GPUPipelineLayout = 4781,
  GPUQuerySet = 4799,
  GPUQueue = 4811,
  GPURenderBundle = 4820,
  GPURenderBundleEncoder = 4836,
  GPURenderPassEncoder = 4859,
  GPURenderPipeline = 4880,
  GPUSampler = 4898,
  GPUShaderModule = 4909,
  GPUShaderStage = 4925,
  GPUSupportedFeatures = 4940,
  GPUSupportedLimits = 4961,
  GPUTexture = 4980,
  GPUTextureUsage = 4991,
  GPUTextureView = 5007,
  GPUUncapturedErrorEvent = 5022,
  GPUValidationError = 5046,
  GainNode = 5065,
  Gamepad = 5074,
  GamepadAxisMoveEvent = 5082,
  GamepadButton = 5103,
  GamepadButtonEvent = 5117,
  GamepadEvent = 5136,
  GamepadHapticActuator = 5149,
  GamepadLightIndicator = 5171,
  GamepadPose = 5193,
  GamepadServiceTest = 5205,
  GamepadTouch = 5224,
  Geolocation = 5237,
  GeolocationCoordinates = 5249,
  GeolocationPosition = 5272,
  GeolocationPositionError = 5292,
  GetUserMediaRequest = 5317,
  GleanBoolean = 5337,
  GleanCategory = 5350,
  GleanCounter = 5364,
  GleanCustomDistribution = 5377,
  GleanDatetime = 5401,
  GleanDenominator = 5415,
  GleanEvent = 5432,
  GleanImpl = 5443,
  GleanLabeled = 5453,
  GleanMemoryDistribution = 5466,
  GleanMetric = 5490,
  GleanNumerator = 5502,
  GleanObject = 5517,
  GleanPingsImpl = 5529,
  GleanQuantity = 5544,
  GleanRate = 5558,
  GleanString = 5568,
  GleanStringList = 5580,
  GleanText = 5596,
  GleanTimespan = 5606,
  GleanTimingDistribution = 5620,
  GleanUrl = 5644,
  GleanUuid = 5653,
  Grid = 5663,
  GridArea = 5668,
  GridDimension = 5677,
  GridLine = 5691,
  GridLines = 5700,
  GridTrack = 5710,
  GridTracks = 5720,
  HTMLAllCollection = 5731,
  HTMLAnchorElement = 5749,
  HTMLAreaElement = 5767,
  HTMLAudioElement = 5783,
  HTMLBRElement = 5800,
  HTMLBaseElement = 5814,
  HTMLBodyElement = 5830,
  HTMLButtonElement = 5846,
  HTMLCanvasElement = 5864,
  HTMLCollection = 5882,
  HTMLDListElement = 5897,
  HTMLDataElement = 5914,
  HTMLDataListElement = 5930,
  HTMLDetailsElement = 5950,
  HTMLDialogElement = 5969,
  HTMLDirectoryElement = 5987,
  HTMLDivElement = 6008,
  HTMLDocument = 6023,
  HTMLElement = 6036,
  HTMLEmbedElement = 6048,
  HTMLFieldSetElement = 6065,
  HTMLFontElement = 6085,
  HTMLFormControlsCollection = 6101,
  HTMLFormElement = 6128,
  HTMLFrameElement = 6144,
  HTMLFrameSetElement = 6161,
  HTMLHRElement = 6181,
  HTMLHeadElement = 6195,
  HTMLHeadingElement = 6211,
  HTMLHtmlElement = 6230,
  HTMLIFrameElement = 6246,
  HTMLImageElement = 6264,
  HTMLInputElement = 6281,
  HTMLLIElement = 6298,
  HTMLLabelElement = 6312,
  HTMLLegendElement = 6329,
  HTMLLinkElement = 6347,
  HTMLMapElement = 6363,
  HTMLMarqueeElement = 6378,
  HTMLMediaElement = 6397,
  HTMLMenuElement = 6414,
  HTMLMetaElement = 6430,
  HTMLMeterElement = 6446,
  HTMLModElement = 6463,
  HTMLOListElement = 6478,
  HTMLObjectElement = 6495,
  HTMLOptGroupElement = 6513,
  HTMLOptionElement = 6533,
  HTMLOptionsCollection = 6551,
  HTMLOutputElement = 6573,
  HTMLParagraphElement = 6591,
  HTMLParamElement = 6612,
  HTMLPictureElement = 6629,
  HTMLPreElement = 6648,
  HTMLProgressElement = 6663,
  HTMLQuoteElement = 6683,
  HTMLScriptElement = 6700,
  HTMLSelectElement = 6718,
  HTMLSlotElement = 6736,
  HTMLSourceElement = 6752,
  HTMLSpanElement = 6770,
  HTMLStyleElement = 6786,
  HTMLTableCaptionElement = 6803,
  HTMLTableCellElement = 6827,
  HTMLTableColElement = 6848,
  HTMLTableElement = 6868,
  HTMLTableRowElement = 6885,
  HTMLTableSectionElement = 6905,
  HTMLTemplateElement = 6929,
  HTMLTextAreaElement = 6949,
  HTMLTimeElement = 6969,
  HTMLTitleElement = 6985,
  HTMLTrackElement = 7002,
  HTMLUListElement = 7019,
  HTMLUnknownElement = 7036,
  HTMLVideoElement = 7055,
  HashChangeEvent = 7072,
  Headers = 7088,
  Headers_Iterator = 7096,
  HeapSnapshot = 7113,
  Highlight = 7126,
  HighlightRegistry = 7136,
  History = 7154,
  IDBCursor = 7162,
  IDBCursorWithValue = 7172,
  IDBDatabase = 7191,
  IDBFactory = 7203,
  IDBIndex = 7214,
  IDBKeyRange = 7223,
  IDBObjectStore = 7235,
  IDBOpenDBRequest = 7250,
  IDBRequest = 7267,
  IDBTransaction = 7278,
  IDBVersionChangeEvent = 7293,
  IIRFilterNode = 7315,
  IOUtils = 7329,
  IdentityCredential = 7337,
  IdleDeadline = 7356,
  Image = 7369,
  ImageBitmap = 7375,
  ImageBitmapRenderingContext = 7387,
  ImageCapture = 7415,
  ImageCaptureError = 7428,
  ImageCaptureErrorEvent = 7446,
  ImageData = 7469,
  ImageDecoder = 7479,
  ImageDocument = 7492,
  ImageTrack = 7506,
  ImageTrackList = 7517,
  InferenceSession = 7532,
  InputEvent = 7549,
  InspectorCSSParser = 7560,
  InspectorFontFace = 7579,
  InspectorUtils = 7597,
  InstallTriggerImpl = 7612,
  IntersectionObserver = 7631,
  IntersectionObserverEntry = 7652,
  IntlUtils = 7678,
  JSProcessActorChild = 7688,
  JSProcessActorParent = 7708,
  JSWindowActorChild = 7729,
  JSWindowActorParent = 7748,
  KeyEvent = 7768,
  KeyboardEvent = 7777,
  KeyframeEffect = 7791,
  L10nFileSource = 7806,
  L10nOverlays = 7821,
  L10nRegistry = 7834,
  LargestContentfulPaint = 7847,
  LegacyMozTCPSocket = 7870,
  Localization = 7889,
  Location = 7902,
  Lock = 7911,
  LockManager = 7916,
  MIDIAccess = 7928,
  MIDIConnectionEvent = 7939,
  MIDIInput = 7959,
  MIDIInputMap = 7969,
  MIDIMessageEvent = 7982,
  MIDIOutput = 7999,
  MIDIOutputMap = 8010,
  MIDIPort = 8024,
  MLS = 8033,
  MLSGroupView = 8037,
  MOZ_debug = 8050,
  MatchGlob = 8060,
  MatchPattern = 8070,
  MatchPatternSet = 8083,
  MathMLElement = 8099,
  MediaCapabilities = 8113,
  MediaControlService = 8131,
  MediaController = 8151,
  MediaDeviceInfo = 8167,
  MediaDevices = 8183,
  MediaElementAudioSourceNode = 8196,
  MediaEncryptedEvent = 8224,
  MediaError = 8244,
  MediaKeyError = 8255,
  MediaKeyMessageEvent = 8269,
  MediaKeySession = 8290,
  MediaKeyStatusMap = 8306,
  MediaKeyStatusMap_Iterator = 8324,
  MediaKeySystemAccess = 8351,
  MediaKeys = 8372,
  MediaList = 8382,
  MediaMetadata = 8392,
  MediaQueryList = 8406,
  MediaQueryListEvent = 8421,
  MediaRecorder = 8441,
  MediaRecorderErrorEvent = 8455,
  MediaSession = 8479,
  MediaSource = 8492,
  MediaStream = 8504,
  MediaStreamAudioDestinationNode = 8516,
  MediaStreamAudioSourceNode = 8548,
  MediaStreamError = 8575,
  MediaStreamEvent = 8592,
  MediaStreamTrack = 8609,
  MediaStreamTrackAudioSourceNode = 8626,
  MediaStreamTrackEvent = 8658,
  MerchantValidationEvent = 8680,
  MessageBroadcaster = 8704,
  MessageChannel = 8723,
  MessageEvent = 8738,
  MessageListenerManager = 8751,
  MessagePort = 8774,
  MessageSender = 8786,
  MimeType = 8800,
  MimeTypeArray = 8809,
  MouseEvent = 8823,
  MouseScrollEvent = 8834,
  MozCanvasPrintState = 8851,
  MozDocumentMatcher = 8871,
  MozDocumentObserver = 8890,
  MozQueryInterface = 8910,
  MozSharedMap = 8928,
  MozSharedMap_Iterator = 8941,
  MozSharedMapChangeEvent = 8963,
  MozStorageAsyncStatementParams = 8987,
  MozStorageStatementParams = 9018,
  MozStorageStatementRow = 9044,
  MozWritableSharedMap = 9067,
  MutationEvent = 9088,
  MutationObserver = 9102,
  MutationRecord = 9119,
  NamedNodeMap = 9134,
  NavigateEvent = 9147,
  Navigation = 9161,
  NavigationActivation = 9172,
  NavigationCurrentEntryChangeEvent = 9193,
  NavigationDestination = 9227,
  NavigationHistoryEntry = 9249,
  NavigationPreloadManager = 9272,
  NavigationTransition = 9297,
  Navigator = 9318,
  NavigatorLogin = 9328,
  NetworkInformation = 9343,
  Node = 9362,
  NodeFilter = 9367,
  NodeIterator = 9378,
  NodeList = 9391,
  Notification = 9400,
  NotificationEvent = 9413,
  NotifyPaintEvent = 9431,
  OES_draw_buffers_indexed = 9448,
  OES_element_index_uint = 9473,
  OES_fbo_render_mipmap = 9496,
  OES_standard_derivatives = 9518,
  OES_texture_float = 9543,
  OES_texture_float_linear = 9561,
  OES_texture_half_float = 9586,
  OES_texture_half_float_linear = 9609,
  OES_vertex_array_object = 9639,
  OVR_multiview2 = 9663,
  OfflineAudioCompletionEvent = 9678,
  OfflineAudioContext = 9706,
  OffscreenCanvas = 9726,
  OffscreenCanvasRenderingContext2D = 9742,
  Option = 9776,
  OscillatorNode = 9783,
  PageTransitionEvent = 9798,
  PaintRequest = 9818,
  PaintRequestList = 9831,
  PaintWorkletGlobalScope = 9848,
  PannerNode = 9872,
  ParentProcessMessageManager = 9883,
  Path2D = 9911,
  PathUtils = 9918,
  PaymentAddress = 9928,
  PaymentMethodChangeEvent = 9943,
  PaymentRequest = 9968,
  PaymentRequestUpdateEvent = 9983,
  PaymentResponse = 10009,
  Performance = 10025,
  PerformanceEntry = 10037,
  PerformanceEntryEvent = 10054,
  PerformanceEventTiming = 10076,
  PerformanceMark = 10099,
  PerformanceMeasure = 10115,
  PerformanceNavigation = 10134,
  PerformanceNavigationTiming = 10156,
  PerformanceObserver = 10184,
  PerformanceObserverEntryList = 10204,
  PerformancePaintTiming = 10233,
  PerformanceResourceTiming = 10256,
  PerformanceServerTiming = 10282,
  PerformanceTiming = 10306,
  PeriodicWave = 10324,
  PermissionStatus = 10337,
  Permissions = 10354,
  PlacesBookmark = 10366,
  PlacesBookmarkAddition = 10381,
  PlacesBookmarkChanged = 10404,
  PlacesBookmarkGuid = 10426,
  PlacesBookmarkKeyword = 10445,
  PlacesBookmarkMoved = 10467,
  PlacesBookmarkRemoved = 10487,
  PlacesBookmarkTags = 10509,
  PlacesBookmarkTime = 10528,
  PlacesBookmarkTitle = 10547,
  PlacesBookmarkUrl = 10567,
  PlacesEvent = 10585,
  PlacesEventCounts = 10597,
  PlacesFavicon = 10615,
  PlacesHistoryCleared = 10629,
  PlacesObservers = 10650,
  PlacesPurgeCaches = 10666,
  PlacesRanking = 10684,
  PlacesVisit = 10698,
  PlacesVisitRemoved = 10710,
  PlacesVisitTitle = 10729,
  PlacesWeakCallbackWrapper = 10746,
  Plugin = 10772,
  PluginArray = 10779,
  PluginCrashedEvent = 10791,
  PointerEvent = 10810,
  PopStateEvent = 10823,
  PopupBlockedEvent = 10837,
  PopupPositionedEvent = 10855,
  PositionStateEvent = 10876,
  PrecompiledScript = 10895,
  PrivateAttribution = 10913,
  ProcessMessageManager = 10932,
  ProcessingInstruction = 10954,
  ProgressEvent = 10976,
  PromiseDebugging = 10990,
  PromiseNativeHandler = 11007,
  PromiseRejectionEvent = 11028,
  PublicKeyCredential = 11050,
  PushEvent = 11070,
  PushManager = 11080,
  PushManagerImpl = 11092,
  PushMessageData = 11108,
  PushSubscription = 11124,
  PushSubscriptionChangeEvent = 11141,
  PushSubscriptionOptions = 11169,
  RadioNodeList = 11193,
  Range = 11207,
  ReadableByteStreamController = 11213,
  ReadableStream = 11242,
  ReadableStream_AsyncIterator = 11257,
  ReadableStreamBYOBReader = 11286,
  ReadableStreamBYOBRequest = 11311,
  ReadableStreamDefaultController = 11337,
  ReadableStreamDefaultReader = 11369,
  Report = 11397,
  ReportBody = 11404,
  ReportingObserver = 11415,
  Request = 11433,
  ResizeObserver = 11441,
  ResizeObserverEntry = 11456,
  ResizeObserverSize = 11476,
  Response = 11495,
  SVGAElement = 11504,
  SVGAngle = 11516,
  SVGAnimateElement = 11525,
  SVGAnimateMotionElement = 11543,
  SVGAnimateTransformElement = 11567,
  SVGAnimatedAngle = 11594,
  SVGAnimatedBoolean = 11611,
  SVGAnimatedEnumeration = 11630,
  SVGAnimatedInteger = 11653,
  SVGAnimatedLength = 11672,
  SVGAnimatedLengthList = 11690,
  SVGAnimatedNumber = 11712,
  SVGAnimatedNumberList = 11730,
  SVGAnimatedPreserveAspectRatio = 11752,
  SVGAnimatedRect = 11783,
  SVGAnimatedString = 11799,
  SVGAnimatedTransformList = 11817,
  SVGAnimationElement = 11842,
  SVGCircleElement = 11862,
  SVGClipPathElement = 11879,
  SVGComponentTransferFunctionElement = 11898,
  SVGDefsElement = 11934,
  SVGDescElement = 11949,
  SVGElement = 11964,
  SVGEllipseElement = 11975,
  SVGFEBlendElement = 11993,
  SVGFEColorMatrixElement = 12011,
  SVGFEComponentTransferElement = 12035,
  SVGFECompositeElement = 12065,
  SVGFEConvolveMatrixElement = 12087,
  SVGFEDiffuseLightingElement = 12114,
  SVGFEDisplacementMapElement = 12142,
  SVGFEDistantLightElement = 12170,
  SVGFEDropShadowElement = 12195,
  SVGFEFloodElement = 12218,
  SVGFEFuncAElement = 12236,
  SVGFEFuncBElement = 12254,
  SVGFEFuncGElement = 12272,
  SVGFEFuncRElement = 12290,
  SVGFEGaussianBlurElement = 12308,
  SVGFEImageElement = 12333,
  SVGFEMergeElement = 12351,
  SVGFEMergeNodeElement = 12369,
  SVGFEMorphologyElement = 12391,
  SVGFEOffsetElement = 12414,
  SVGFEPointLightElement = 12433,
  SVGFESpecularLightingElement = 12456,
  SVGFESpotLightElement = 12485,
  SVGFETileElement = 12507,
  SVGFETurbulenceElement = 12524,
  SVGFilterElement = 12547,
  SVGForeignObjectElement = 12564,
  SVGGElement = 12588,
  SVGGeometryElement = 12600,
  SVGGradientElement = 12619,
  SVGGraphicsElement = 12638,
  SVGImageElement = 12657,
  SVGLength = 12673,
  SVGLengthList = 12683,
  SVGLineElement = 12697,
  SVGLinearGradientElement = 12712,
  SVGMPathElement = 12737,
  SVGMarkerElement = 12753,
  SVGMaskElement = 12770,
  SVGMatrix = 12785,
  SVGMetadataElement = 12795,
  SVGNumber = 12814,
  SVGNumberList = 12824,
  SVGPathElement = 12838,
  SVGPathSegment = 12853,
  SVGPatternElement = 12868,
  SVGPoint = 12886,
  SVGPointList = 12895,
  SVGPolygonElement = 12908,
  SVGPolylineElement = 12926,
  SVGPreserveAspectRatio = 12945,
  SVGRadialGradientElement = 12968,
  SVGRect = 12993,
  SVGRectElement = 13001,
  SVGSVGElement = 13016,
  SVGScriptElement = 13030,
  SVGSetElement = 13047,
  SVGStopElement = 13061,
  SVGStringList = 13076,
  SVGStyleElement = 13090,
  SVGSwitchElement = 13106,
  SVGSymbolElement = 13123,
  SVGTSpanElement = 13140,
  SVGTextContentElement = 13156,
  SVGTextElement = 13178,
  SVGTextPathElement = 13193,
  SVGTextPositioningElement = 13212,
  SVGTitleElement = 13238,
  SVGTransform = 13254,
  SVGTransformList = 13267,
  SVGUnitTypes = 13284,
  SVGUseElement = 13297,
  SVGViewElement = 13311,
  Sanitizer = 13326,
  Scheduler = 13336,
  Screen = 13346,
  ScreenLuminance = 13353,
  ScreenOrientation = 13369,
  ScriptProcessorNode = 13387,
  ScrollAreaEvent = 13407,
  SecurityPolicyViolationEvent = 13423,
  Selection = 13452,
  ServiceWorker = 13462,
  ServiceWorkerContainer = 13476,
  ServiceWorkerGlobalScope = 13499,
  ServiceWorkerRegistration = 13524,
  SessionStoreFormData = 13550,
  SessionStoreScrollData = 13571,
  SessionStoreUtils = 13594,
  ShadowRealmGlobalScope = 13612,
  ShadowRoot = 13635,
  SharedWorker = 13646,
  SharedWorkerGlobalScope = 13659,
  SimpleGestureEvent = 13683,
  SourceBuffer = 13702,
  SourceBufferList = 13715,
  SpeechGrammar = 13732,
  SpeechGrammarList = 13746,
  SpeechRecognition = 13764,
  SpeechRecognitionAlternative = 13782,
  SpeechRecognitionError = 13811,
  SpeechRecognitionEvent = 13834,
  SpeechRecognitionResult = 13857,
  SpeechRecognitionResultList = 13881,
  SpeechSynthesis = 13909,
  SpeechSynthesisErrorEvent = 13925,
  SpeechSynthesisEvent = 13951,
  SpeechSynthesisUtterance = 13972,
  SpeechSynthesisVoice = 13997,
  StaticRange = 14018,
  StereoPannerNode = 14030,
  Storage = 14047,
  StorageEvent = 14055,
  StorageManager = 14068,
  StreamFilter = 14083,
  StreamFilterDataEvent = 14096,
  StructuredCloneHolder = 14118,
  StructuredCloneTester = 14140,
  StyleSheet = 14162,
  StyleSheetApplicableStateChangeEvent = 14173,
  StyleSheetList = 14210,
  StyleSheetRemovedEvent = 14225,
  SubmitEvent = 14248,
  SubtleCrypto = 14260,
  SyncMessageSender = 14273,
  SyncReadFile = 14291,
  TCPServerSocket = 14304,
  TCPServerSocketEvent = 14320,
  TCPSocket = 14341,
  TCPSocketErrorEvent = 14351,
  TCPSocketEvent = 14371,
  TaskController = 14386,
  TaskPriorityChangeEvent = 14401,
  TaskSignal = 14425,
  Tensor = 14436,
  TestUtils = 14443,
  TestingDeprecatedInterface = 14453,
  Text = 14480,
  TextClause = 14485,
  TextDecoder = 14496,
  TextDecoderStream = 14508,
  TextEncoder = 14526,
  TextEncoderStream = 14538,
  TextEvent = 14556,
  TextMetrics = 14566,
  TextTrack = 14578,
  TextTrackCue = 14588,
  TextTrackCueList = 14601,
  TextTrackList = 14618,
  TimeEvent = 14632,
  TimeRanges = 14642,
  ToggleEvent = 14653,
  Touch = 14665,
  TouchEvent = 14671,
  TouchList = 14682,
  TrackEvent = 14692,
  TransformStream = 14703,
  TransformStreamDefaultController = 14719,
  TransitionEvent = 14752,
  TreeColumn = 14768,
  TreeColumns = 14779,
  TreeContentView = 14791,
  TreeWalker = 14807,
  TrustedHTML = 14818,
  TrustedScript = 14830,
  TrustedScriptURL = 14844,
  TrustedTypePolicy = 14861,
  TrustedTypePolicyFactory = 14879,
  UDPMessageEvent = 14904,
  UDPSocket = 14920,
  UIEvent = 14930,
  URL = 14938,
  URLSearchParams = 14942,
  URLSearchParams_Iterator = 14958,
  UniFFIPointer = 14983,
  UniFFIScaffolding = 14997,
  UserActivation = 15015,
  UserInteraction = 15030,
  UserProximityEvent = 15046,
  VRDisplay = 15065,
  VRDisplayCapabilities = 15075,
  VRDisplayEvent = 15097,
  VREyeParameters = 15112,
  VRFieldOfView = 15128,
  VRFrameData = 15142,
  VRMockController = 15154,
  VRMockDisplay = 15171,
  VRPose = 15185,
  VRServiceTest = 15192,
  VRStageParameters = 15206,
  VTTCue = 15224,
  VTTRegion = 15231,
  ValidityState = 15241,
  VideoColorSpace = 15255,
  VideoDecoder = 15271,
  VideoEncoder = 15284,
  VideoFrame = 15297,
  VideoPlaybackQuality = 15308,
  VideoTrack = 15329,
  VideoTrackList = 15340,
  ViewTransition = 15355,
  VisualViewport = 15370,
  WEBGL_color_buffer_float = 15385,
  WEBGL_compressed_texture_astc = 15410,
  WEBGL_compressed_texture_etc = 15440,
  WEBGL_compressed_texture_etc1 = 15469,
  WEBGL_compressed_texture_pvrtc = 15499,
  WEBGL_compressed_texture_s3tc = 15530,
  WEBGL_compressed_texture_s3tc_srgb = 15560,
  WEBGL_debug_renderer_info = 15595,
  WEBGL_debug_shaders = 15621,
  WEBGL_depth_texture = 15641,
  WEBGL_draw_buffers = 15661,
  WEBGL_explicit_present = 15680,
  WEBGL_lose_context = 15703,
  WEBGL_provoking_vertex = 15722,
  WGSLLanguageFeatures = 15745,
  WakeLock = 15766,
  WakeLockSentinel = 15775,
  WaveShaperNode = 15792,
  WebExtensionContentScript = 15807,
  WebExtensionPolicy = 15833,
  WebGL2RenderingContext = 15852,
  WebGLActiveInfo = 15875,
  WebGLBuffer = 15891,
  WebGLContextEvent = 15903,
  WebGLFramebuffer = 15921,
  WebGLProgram = 15938,
  WebGLQuery = 15951,
  WebGLRenderbuffer = 15962,
  WebGLRenderingContext = 15980,
  WebGLSampler = 16002,
  WebGLShader = 16015,
  WebGLShaderPrecisionFormat = 16027,
  WebGLSync = 16054,
  WebGLTexture = 16064,
  WebGLTransformFeedback = 16077,
  WebGLUniformLocation = 16100,
  WebGLVertexArrayObject = 16121,
  WebKitCSSMatrix = 16144,
  WebSocket = 16160,
  WebTransport = 16170,
  WebTransportBidirectionalStream = 16183,
  WebTransportDatagramDuplexStream = 16215,
  WebTransportError = 16248,
  WebTransportReceiveStream = 16266,
  WebTransportSendStream = 16292,
  WheelEvent = 16315,
  Window = 16326,
  WindowClient = 16333,
  WindowContext = 16346,
  WindowGlobalChild = 16360,
  WindowGlobalParent = 16378,
  WindowRoot = 16397,
  Worker = 16408,
  WorkerDebuggerGlobalScope = 16415,
  WorkerGlobalScope = 16441,
  WorkerLocation = 16459,
  WorkerNavigator = 16474,
  WorkerTestUtils = 16490,
  Worklet = 16506,
  WorkletGlobalScope = 16514,
  WritableStream = 16533,
  WritableStreamDefaultController = 16548,
  WritableStreamDefaultWriter = 16580,
  XMLDocument = 16608,
  XMLHttpRequest = 16620,
  XMLHttpRequestEventTarget = 16635,
  XMLHttpRequestUpload = 16661,
  XMLSerializer = 16682,
  XPathEvaluator = 16696,
  XPathExpression = 16711,
  XPathResult = 16727,
  XRBoundedReferenceSpace = 16739,
  XRFrame = 16763,
  XRInputSource = 16771,
  XRInputSourceArray = 16785,
  XRInputSourceEvent = 16804,
  XRInputSourcesChangeEvent = 16823,
  XRPose = 16849,
  XRReferenceSpace = 16856,
  XRReferenceSpaceEvent = 16873,
  XRRenderState = 16895,
  XRRigidTransform = 16909,
  XRSession = 16926,
  XRSessionEvent = 16936,
  XRSpace = 16951,
  XRSystem = 16959,
  XRView = 16968,
  XRViewerPose = 16975,
  XRViewport = 16988,
  XRWebGLLayer = 16999,
  XSLTProcessor = 17012,
  XULCommandEvent = 17026,
  XULElement = 17042,
  XULFrameElement = 17053,
  XULMenuElement = 17069,
  XULPopupElement = 17084,
  XULResizerElement = 17100,
  XULTextElement = 17118,
  XULTreeElement = 17133,
  console = 17148,
  webkitSpeechGrammar = 17156,
  webkitSpeechGrammarList = 17176,
  webkitSpeechRecognition = 17200,
  webkitURL = 17224,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
