#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CookieStoreManager" "\0"
  /*  2246 */ "CountQueuingStrategy" "\0"
  /*  2267 */ "CreateOfferRequest" "\0"
  /*  2286 */ "Credential" "\0"
  /*  2297 */ "CredentialsContainer" "\0"
  /*  2318 */ "Crypto" "\0"
  /*  2325 */ "CryptoKey" "\0"
  /*  2335 */ "CustomElementRegistry" "\0"
  /*  2357 */ "CustomEvent" "\0"
  /*  2369 */ "CustomStateSet" "\0"
  /*  2384 */ "DOMException" "\0"
  /*  2397 */ "DOMImplementation" "\0"
  /*  2415 */ "DOMLocalization" "\0"
  /*  2431 */ "DOMMatrix" "\0"
  /*  2441 */ "DOMMatrixReadOnly" "\0"
  /*  2459 */ "DOMParser" "\0"
  /*  2469 */ "DOMPoint" "\0"
  /*  2478 */ "DOMPointReadOnly" "\0"
  /*  2495 */ "DOMQuad" "\0"
  /*  2503 */ "DOMRect" "\0"
  /*  2511 */ "DOMRectList" "\0"
  /*  2523 */ "DOMRectReadOnly" "\0"
  /*  2539 */ "DOMStringList" "\0"
  /*  2553 */ "DOMStringMap" "\0"
  /*  2566 */ "DOMTokenList" "\0"
  /*  2579 */ "DataTransfer" "\0"
  /*  2592 */ "DataTransferItem" "\0"
  /*  2609 */ "DataTransferItemList" "\0"
  /*  2630 */ "DebuggerNotification" "\0"
  /*  2651 */ "DebuggerNotificationObserver" "\0"
  /*  2680 */ "DecompressionStream" "\0"
  /*  2700 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2727 */ "DelayNode" "\0"
  /*  2737 */ "DeprecationReportBody" "\0"
  /*  2759 */ "DeviceAcceleration" "\0"
  /*  2778 */ "DeviceLightEvent" "\0"
  /*  2795 */ "DeviceMotionEvent" "\0"
  /*  2813 */ "DeviceOrientationEvent" "\0"
  /*  2836 */ "DeviceRotationRate" "\0"
  /*  2855 */ "Directory" "\0"
  /*  2865 */ "Document" "\0"
  /*  2874 */ "DocumentFragment" "\0"
  /*  2891 */ "DocumentL10n" "\0"
  /*  2904 */ "DocumentTimeline" "\0"
  /*  2921 */ "DocumentType" "\0"
  /*  2934 */ "DominatorTree" "\0"
  /*  2948 */ "DragEvent" "\0"
  /*  2958 */ "DynamicsCompressorNode" "\0"
  /*  2981 */ "EXT_blend_minmax" "\0"
  /*  2998 */ "EXT_color_buffer_float" "\0"
  /*  3021 */ "EXT_color_buffer_half_float" "\0"
  /*  3049 */ "EXT_depth_clamp" "\0"
  /*  3065 */ "EXT_disjoint_timer_query" "\0"
  /*  3090 */ "EXT_float_blend" "\0"
  /*  3106 */ "EXT_frag_depth" "\0"
  /*  3121 */ "EXT_sRGB" "\0"
  /*  3130 */ "EXT_shader_texture_lod" "\0"
  /*  3153 */ "EXT_texture_compression_bptc" "\0"
  /*  3182 */ "EXT_texture_compression_rgtc" "\0"
  /*  3211 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3242 */ "EXT_texture_norm16" "\0"
  /*  3261 */ "Element" "\0"
  /*  3269 */ "ElementInternals" "\0"
  /*  3286 */ "EncodedAudioChunk" "\0"
  /*  3304 */ "EncodedVideoChunk" "\0"
  /*  3322 */ "ErrorEvent" "\0"
  /*  3333 */ "Event" "\0"
  /*  3339 */ "EventCallbackDebuggerNotification" "\0"
  /*  3373 */ "EventCounts" "\0"
  /*  3385 */ "EventSource" "\0"
  /*  3397 */ "EventTarget" "\0"
  /*  3409 */ "Exception" "\0"
  /*  3419 */ "ExtendableCookieChangeEvent" "\0"
  /*  3447 */ "ExtendableEvent" "\0"
  /*  3463 */ "ExtendableMessageEvent" "\0"
  /*  3486 */ "ExtensionAlarms" "\0"
  /*  3502 */ "ExtensionBrowser" "\0"
  /*  3519 */ "ExtensionBrowserSettings" "\0"
  /*  3544 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3584 */ "ExtensionDns" "\0"
  /*  3597 */ "ExtensionEventManager" "\0"
  /*  3619 */ "ExtensionMockAPI" "\0"
  /*  3636 */ "ExtensionPort" "\0"
  /*  3650 */ "ExtensionProxy" "\0"
  /*  3665 */ "ExtensionRuntime" "\0"
  /*  3682 */ "ExtensionScripting" "\0"
  /*  3701 */ "ExtensionSetting" "\0"
  /*  3718 */ "ExtensionTest" "\0"
  /*  3732 */ "External" "\0"
  /*  3741 */ "FeaturePolicy" "\0"
  /*  3755 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3788 */ "FetchEvent" "\0"
  /*  3799 */ "FetchObserver" "\0"
  /*  3813 */ "File" "\0"
  /*  3818 */ "FileList" "\0"
  /*  3827 */ "FileReader" "\0"
  /*  3838 */ "FileReaderSync" "\0"
  /*  3853 */ "FileSystem" "\0"
  /*  3864 */ "FileSystemDirectoryEntry" "\0"
  /*  3889 */ "FileSystemDirectoryHandle" "\0"
  /*  3915 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3955 */ "FileSystemDirectoryIterator" "\0"
  /*  3983 */ "FileSystemDirectoryReader" "\0"
  /*  4009 */ "FileSystemEntry" "\0"
  /*  4025 */ "FileSystemFileEntry" "\0"
  /*  4045 */ "FileSystemFileHandle" "\0"
  /*  4066 */ "FileSystemHandle" "\0"
  /*  4083 */ "FileSystemSyncAccessHandle" "\0"
  /*  4110 */ "FileSystemWritableFileStream" "\0"
  /*  4139 */ "Flex" "\0"
  /*  4144 */ "FlexItemValues" "\0"
  /*  4159 */ "FlexLineValues" "\0"
  /*  4174 */ "FluentBundle" "\0"
  /*  4187 */ "FluentBundleAsyncIterator" "\0"
  /*  4213 */ "FluentBundleIterator" "\0"
  /*  4234 */ "FluentPattern" "\0"
  /*  4248 */ "FluentResource" "\0"
  /*  4263 */ "FocusEvent" "\0"
  /*  4274 */ "FontFace" "\0"
  /*  4283 */ "FontFaceSet" "\0"
  /*  4295 */ "FontFaceSetIterator" "\0"
  /*  4315 */ "FontFaceSetLoadEvent" "\0"
  /*  4336 */ "FormData" "\0"
  /*  4345 */ "FormData Iterator" "\0"
  /*  4363 */ "FormDataEvent" "\0"
  /*  4377 */ "FragmentDirective" "\0"
  /*  4395 */ "FrameCrashedEvent" "\0"
  /*  4413 */ "FrameLoader" "\0"
  /*  4425 */ "GPU" "\0"
  /*  4429 */ "GPUAdapter" "\0"
  /*  4440 */ "GPUAdapterInfo" "\0"
  /*  4455 */ "GPUBindGroup" "\0"
  /*  4468 */ "GPUBindGroupLayout" "\0"
  /*  4487 */ "GPUBuffer" "\0"
  /*  4497 */ "GPUBufferUsage" "\0"
  /*  4512 */ "GPUCanvasContext" "\0"
  /*  4529 */ "GPUColorWrite" "\0"
  /*  4543 */ "GPUCommandBuffer" "\0"
  /*  4560 */ "GPUCommandEncoder" "\0"
  /*  4578 */ "GPUCompilationInfo" "\0"
  /*  4597 */ "GPUCompilationMessage" "\0"
  /*  4619 */ "GPUComputePassEncoder" "\0"
  /*  4641 */ "GPUComputePipeline" "\0"
  /*  4660 */ "GPUDevice" "\0"
  /*  4670 */ "GPUDeviceLostInfo" "\0"
  /*  4688 */ "GPUError" "\0"
  /*  4697 */ "GPUExternalTexture" "\0"
  /*  4716 */ "GPUInternalError" "\0"
  /*  4733 */ "GPUMapMode" "\0"
  /*  4744 */ "GPUOutOfMemoryError" "\0"
  /*  4764 */ "GPUPipelineError" "\0"
  /*  4781 */ "GPUPipelineLayout" "\0"
  /*  4799 */ "GPUQuerySet" "\0"
  /*  4811 */ "GPUQueue" "\0"
  /*  4820 */ "GPURenderBundle" "\0"
  /*  4836 */ "GPURenderBundleEncoder" "\0"
  /*  4859 */ "GPURenderPassEncoder" "\0"
  /*  4880 */ "GPURenderPipeline" "\0"
  /*  4898 */ "GPUSampler" "\0"
  /*  4909 */ "GPUShaderModule" "\0"
  /*  4925 */ "GPUShaderStage" "\0"
  /*  4940 */ "GPUSupportedFeatures" "\0"
  /*  4961 */ "GPUSupportedLimits" "\0"
  /*  4980 */ "GPUTexture" "\0"
  /*  4991 */ "GPUTextureUsage" "\0"
  /*  5007 */ "GPUTextureView" "\0"
  /*  5022 */ "GPUUncapturedErrorEvent" "\0"
  /*  5046 */ "GPUValidationError" "\0"
  /*  5065 */ "GainNode" "\0"
  /*  5074 */ "Gamepad" "\0"
  /*  5082 */ "GamepadAxisMoveEvent" "\0"
  /*  5103 */ "GamepadButton" "\0"
  /*  5117 */ "GamepadButtonEvent" "\0"
  /*  5136 */ "GamepadEvent" "\0"
  /*  5149 */ "GamepadHapticActuator" "\0"
  /*  5171 */ "GamepadLightIndicator" "\0"
  /*  5193 */ "GamepadPose" "\0"
  /*  5205 */ "GamepadServiceTest" "\0"
  /*  5224 */ "GamepadTouch" "\0"
  /*  5237 */ "Geolocation" "\0"
  /*  5249 */ "GeolocationCoordinates" "\0"
  /*  5272 */ "GeolocationPosition" "\0"
  /*  5292 */ "GeolocationPositionError" "\0"
  /*  5317 */ "GetUserMediaRequest" "\0"
  /*  5337 */ "GleanBoolean" "\0"
  /*  5350 */ "GleanCategory" "\0"
  /*  5364 */ "GleanCounter" "\0"
  /*  5377 */ "GleanCustomDistribution" "\0"
  /*  5401 */ "GleanDatetime" "\0"
  /*  5415 */ "GleanDenominator" "\0"
  /*  5432 */ "GleanEvent" "\0"
  /*  5443 */ "GleanImpl" "\0"
  /*  5453 */ "GleanLabeled" "\0"
  /*  5466 */ "GleanMemoryDistribution" "\0"
  /*  5490 */ "GleanMetric" "\0"
  /*  5502 */ "GleanNumerator" "\0"
  /*  5517 */ "GleanObject" "\0"
  /*  5529 */ "GleanPingsImpl" "\0"
  /*  5544 */ "GleanQuantity" "\0"
  /*  5558 */ "GleanRate" "\0"
  /*  5568 */ "GleanString" "\0"
  /*  5580 */ "GleanStringList" "\0"
  /*  5596 */ "GleanText" "\0"
  /*  5606 */ "GleanTimespan" "\0"
  /*  5620 */ "GleanTimingDistribution" "\0"
  /*  5644 */ "GleanUrl" "\0"
  /*  5653 */ "GleanUuid" "\0"
  /*  5663 */ "Grid" "\0"
  /*  5668 */ "GridArea" "\0"
  /*  5677 */ "GridDimension" "\0"
  /*  5691 */ "GridLine" "\0"
  /*  5700 */ "GridLines" "\0"
  /*  5710 */ "GridTrack" "\0"
  /*  5720 */ "GridTracks" "\0"
  /*  5731 */ "HTMLAllCollection" "\0"
  /*  5749 */ "HTMLAnchorElement" "\0"
  /*  5767 */ "HTMLAreaElement" "\0"
  /*  5783 */ "HTMLAudioElement" "\0"
  /*  5800 */ "HTMLBRElement" "\0"
  /*  5814 */ "HTMLBaseElement" "\0"
  /*  5830 */ "HTMLBodyElement" "\0"
  /*  5846 */ "HTMLButtonElement" "\0"
  /*  5864 */ "HTMLCanvasElement" "\0"
  /*  5882 */ "HTMLCollection" "\0"
  /*  5897 */ "HTMLDListElement" "\0"
  /*  5914 */ "HTMLDataElement" "\0"
  /*  5930 */ "HTMLDataListElement" "\0"
  /*  5950 */ "HTMLDetailsElement" "\0"
  /*  5969 */ "HTMLDialogElement" "\0"
  /*  5987 */ "HTMLDirectoryElement" "\0"
  /*  6008 */ "HTMLDivElement" "\0"
  /*  6023 */ "HTMLDocument" "\0"
  /*  6036 */ "HTMLElement" "\0"
  /*  6048 */ "HTMLEmbedElement" "\0"
  /*  6065 */ "HTMLFieldSetElement" "\0"
  /*  6085 */ "HTMLFontElement" "\0"
  /*  6101 */ "HTMLFormControlsCollection" "\0"
  /*  6128 */ "HTMLFormElement" "\0"
  /*  6144 */ "HTMLFrameElement" "\0"
  /*  6161 */ "HTMLFrameSetElement" "\0"
  /*  6181 */ "HTMLHRElement" "\0"
  /*  6195 */ "HTMLHeadElement" "\0"
  /*  6211 */ "HTMLHeadingElement" "\0"
  /*  6230 */ "HTMLHtmlElement" "\0"
  /*  6246 */ "HTMLIFrameElement" "\0"
  /*  6264 */ "HTMLImageElement" "\0"
  /*  6281 */ "HTMLInputElement" "\0"
  /*  6298 */ "HTMLLIElement" "\0"
  /*  6312 */ "HTMLLabelElement" "\0"
  /*  6329 */ "HTMLLegendElement" "\0"
  /*  6347 */ "HTMLLinkElement" "\0"
  /*  6363 */ "HTMLMapElement" "\0"
  /*  6378 */ "HTMLMarqueeElement" "\0"
  /*  6397 */ "HTMLMediaElement" "\0"
  /*  6414 */ "HTMLMenuElement" "\0"
  /*  6430 */ "HTMLMetaElement" "\0"
  /*  6446 */ "HTMLMeterElement" "\0"
  /*  6463 */ "HTMLModElement" "\0"
  /*  6478 */ "HTMLOListElement" "\0"
  /*  6495 */ "HTMLObjectElement" "\0"
  /*  6513 */ "HTMLOptGroupElement" "\0"
  /*  6533 */ "HTMLOptionElement" "\0"
  /*  6551 */ "HTMLOptionsCollection" "\0"
  /*  6573 */ "HTMLOutputElement" "\0"
  /*  6591 */ "HTMLParagraphElement" "\0"
  /*  6612 */ "HTMLParamElement" "\0"
  /*  6629 */ "HTMLPictureElement" "\0"
  /*  6648 */ "HTMLPreElement" "\0"
  /*  6663 */ "HTMLProgressElement" "\0"
  /*  6683 */ "HTMLQuoteElement" "\0"
  /*  6700 */ "HTMLScriptElement" "\0"
  /*  6718 */ "HTMLSelectElement" "\0"
  /*  6736 */ "HTMLSlotElement" "\0"
  /*  6752 */ "HTMLSourceElement" "\0"
  /*  6770 */ "HTMLSpanElement" "\0"
  /*  6786 */ "HTMLStyleElement" "\0"
  /*  6803 */ "HTMLTableCaptionElement" "\0"
  /*  6827 */ "HTMLTableCellElement" "\0"
  /*  6848 */ "HTMLTableColElement" "\0"
  /*  6868 */ "HTMLTableElement" "\0"
  /*  6885 */ "HTMLTableRowElement" "\0"
  /*  6905 */ "HTMLTableSectionElement" "\0"
  /*  6929 */ "HTMLTemplateElement" "\0"
  /*  6949 */ "HTMLTextAreaElement" "\0"
  /*  6969 */ "HTMLTimeElement" "\0"
  /*  6985 */ "HTMLTitleElement" "\0"
  /*  7002 */ "HTMLTrackElement" "\0"
  /*  7019 */ "HTMLUListElement" "\0"
  /*  7036 */ "HTMLUnknownElement" "\0"
  /*  7055 */ "HTMLVideoElement" "\0"
  /*  7072 */ "HashChangeEvent" "\0"
  /*  7088 */ "Headers" "\0"
  /*  7096 */ "Headers Iterator" "\0"
  /*  7113 */ "HeapSnapshot" "\0"
  /*  7126 */ "Highlight" "\0"
  /*  7136 */ "HighlightRegistry" "\0"
  /*  7154 */ "History" "\0"
  /*  7162 */ "IDBCursor" "\0"
  /*  7172 */ "IDBCursorWithValue" "\0"
  /*  7191 */ "IDBDatabase" "\0"
  /*  7203 */ "IDBFactory" "\0"
  /*  7214 */ "IDBIndex" "\0"
  /*  7223 */ "IDBKeyRange" "\0"
  /*  7235 */ "IDBObjectStore" "\0"
  /*  7250 */ "IDBOpenDBRequest" "\0"
  /*  7267 */ "IDBRequest" "\0"
  /*  7278 */ "IDBTransaction" "\0"
  /*  7293 */ "IDBVersionChangeEvent" "\0"
  /*  7315 */ "IIRFilterNode" "\0"
  /*  7329 */ "IOUtils" "\0"
  /*  7337 */ "IdentityCredential" "\0"
  /*  7356 */ "IdleDeadline" "\0"
  /*  7369 */ "Image" "\0"
  /*  7375 */ "ImageBitmap" "\0"
  /*  7387 */ "ImageBitmapRenderingContext" "\0"
  /*  7415 */ "ImageCapture" "\0"
  /*  7428 */ "ImageCaptureError" "\0"
  /*  7446 */ "ImageCaptureErrorEvent" "\0"
  /*  7469 */ "ImageData" "\0"
  /*  7479 */ "ImageDecoder" "\0"
  /*  7492 */ "ImageDocument" "\0"
  /*  7506 */ "ImageTrack" "\0"
  /*  7517 */ "ImageTrackList" "\0"
  /*  7532 */ "InferenceSession" "\0"
  /*  7549 */ "InputEvent" "\0"
  /*  7560 */ "InspectorCSSParser" "\0"
  /*  7579 */ "InspectorFontFace" "\0"
  /*  7597 */ "InspectorUtils" "\0"
  /*  7612 */ "InstallTriggerImpl" "\0"
  /*  7631 */ "IntersectionObserver" "\0"
  /*  7652 */ "IntersectionObserverEntry" "\0"
  /*  7678 */ "IntlUtils" "\0"
  /*  7688 */ "JSProcessActorChild" "\0"
  /*  7708 */ "JSProcessActorParent" "\0"
  /*  7729 */ "JSWindowActorChild" "\0"
  /*  7748 */ "JSWindowActorParent" "\0"
  /*  7768 */ "KeyEvent" "\0"
  /*  7777 */ "KeyboardEvent" "\0"
  /*  7791 */ "KeyframeEffect" "\0"
  /*  7806 */ "L10nFileSource" "\0"
  /*  7821 */ "L10nOverlays" "\0"
  /*  7834 */ "L10nRegistry" "\0"
  /*  7847 */ "LargestContentfulPaint" "\0"
  /*  7870 */ "LegacyMozTCPSocket" "\0"
  /*  7889 */ "Localization" "\0"
  /*  7902 */ "Location" "\0"
  /*  7911 */ "Lock" "\0"
  /*  7916 */ "LockManager" "\0"
  /*  7928 */ "MIDIAccess" "\0"
  /*  7939 */ "MIDIConnectionEvent" "\0"
  /*  7959 */ "MIDIInput" "\0"
  /*  7969 */ "MIDIInputMap" "\0"
  /*  7982 */ "MIDIMessageEvent" "\0"
  /*  7999 */ "MIDIOutput" "\0"
  /*  8010 */ "MIDIOutputMap" "\0"
  /*  8024 */ "MIDIPort" "\0"
  /*  8033 */ "MLS" "\0"
  /*  8037 */ "MLSGroupView" "\0"
  /*  8050 */ "MOZ_debug" "\0"
  /*  8060 */ "MatchGlob" "\0"
  /*  8070 */ "MatchPattern" "\0"
  /*  8083 */ "MatchPatternSet" "\0"
  /*  8099 */ "MathMLElement" "\0"
  /*  8113 */ "MediaCapabilities" "\0"
  /*  8131 */ "MediaControlService" "\0"
  /*  8151 */ "MediaController" "\0"
  /*  8167 */ "MediaDeviceInfo" "\0"
  /*  8183 */ "MediaDevices" "\0"
  /*  8196 */ "MediaElementAudioSourceNode" "\0"
  /*  8224 */ "MediaEncryptedEvent" "\0"
  /*  8244 */ "MediaError" "\0"
  /*  8255 */ "MediaKeyError" "\0"
  /*  8269 */ "MediaKeyMessageEvent" "\0"
  /*  8290 */ "MediaKeySession" "\0"
  /*  8306 */ "MediaKeyStatusMap" "\0"
  /*  8324 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8351 */ "MediaKeySystemAccess" "\0"
  /*  8372 */ "MediaKeys" "\0"
  /*  8382 */ "MediaList" "\0"
  /*  8392 */ "MediaMetadata" "\0"
  /*  8406 */ "MediaQueryList" "\0"
  /*  8421 */ "MediaQueryListEvent" "\0"
  /*  8441 */ "MediaRecorder" "\0"
  /*  8455 */ "MediaRecorderErrorEvent" "\0"
  /*  8479 */ "MediaSession" "\0"
  /*  8492 */ "MediaSource" "\0"
  /*  8504 */ "MediaStream" "\0"
  /*  8516 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8548 */ "MediaStreamAudioSourceNode" "\0"
  /*  8575 */ "MediaStreamError" "\0"
  /*  8592 */ "MediaStreamEvent" "\0"
  /*  8609 */ "MediaStreamTrack" "\0"
  /*  8626 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8658 */ "MediaStreamTrackEvent" "\0"
  /*  8680 */ "MerchantValidationEvent" "\0"
  /*  8704 */ "MessageBroadcaster" "\0"
  /*  8723 */ "MessageChannel" "\0"
  /*  8738 */ "MessageEvent" "\0"
  /*  8751 */ "MessageListenerManager" "\0"
  /*  8774 */ "MessagePort" "\0"
  /*  8786 */ "MessageSender" "\0"
  /*  8800 */ "MimeType" "\0"
  /*  8809 */ "MimeTypeArray" "\0"
  /*  8823 */ "MouseEvent" "\0"
  /*  8834 */ "MouseScrollEvent" "\0"
  /*  8851 */ "MozCanvasPrintState" "\0"
  /*  8871 */ "MozDocumentMatcher" "\0"
  /*  8890 */ "MozDocumentObserver" "\0"
  /*  8910 */ "MozQueryInterface" "\0"
  /*  8928 */ "MozSharedMap" "\0"
  /*  8941 */ "MozSharedMap Iterator" "\0"
  /*  8963 */ "MozSharedMapChangeEvent" "\0"
  /*  8987 */ "MozStorageAsyncStatementParams" "\0"
  /*  9018 */ "MozStorageStatementParams" "\0"
  /*  9044 */ "MozStorageStatementRow" "\0"
  /*  9067 */ "MozWritableSharedMap" "\0"
  /*  9088 */ "MutationEvent" "\0"
  /*  9102 */ "MutationObserver" "\0"
  /*  9119 */ "MutationRecord" "\0"
  /*  9134 */ "NamedNodeMap" "\0"
  /*  9147 */ "NavigateEvent" "\0"
  /*  9161 */ "Navigation" "\0"
  /*  9172 */ "NavigationActivation" "\0"
  /*  9193 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9227 */ "NavigationDestination" "\0"
  /*  9249 */ "NavigationHistoryEntry" "\0"
  /*  9272 */ "NavigationPreloadManager" "\0"
  /*  9297 */ "NavigationTransition" "\0"
  /*  9318 */ "Navigator" "\0"
  /*  9328 */ "NavigatorLogin" "\0"
  /*  9343 */ "NetworkInformation" "\0"
  /*  9362 */ "Node" "\0"
  /*  9367 */ "NodeFilter" "\0"
  /*  9378 */ "NodeIterator" "\0"
  /*  9391 */ "NodeList" "\0"
  /*  9400 */ "Notification" "\0"
  /*  9413 */ "NotificationEvent" "\0"
  /*  9431 */ "NotifyPaintEvent" "\0"
  /*  9448 */ "OES_draw_buffers_indexed" "\0"
  /*  9473 */ "OES_element_index_uint" "\0"
  /*  9496 */ "OES_fbo_render_mipmap" "\0"
  /*  9518 */ "OES_standard_derivatives" "\0"
  /*  9543 */ "OES_texture_float" "\0"
  /*  9561 */ "OES_texture_float_linear" "\0"
  /*  9586 */ "OES_texture_half_float" "\0"
  /*  9609 */ "OES_texture_half_float_linear" "\0"
  /*  9639 */ "OES_vertex_array_object" "\0"
  /*  9663 */ "OVR_multiview2" "\0"
  /*  9678 */ "OfflineAudioCompletionEvent" "\0"
  /*  9706 */ "OfflineAudioContext" "\0"
  /*  9726 */ "OffscreenCanvas" "\0"
  /*  9742 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9776 */ "Option" "\0"
  /*  9783 */ "OscillatorNode" "\0"
  /*  9798 */ "PageTransitionEvent" "\0"
  /*  9818 */ "PaintRequest" "\0"
  /*  9831 */ "PaintRequestList" "\0"
  /*  9848 */ "PaintWorkletGlobalScope" "\0"
  /*  9872 */ "PannerNode" "\0"
  /*  9883 */ "ParentProcessMessageManager" "\0"
  /*  9911 */ "Path2D" "\0"
  /*  9918 */ "PathUtils" "\0"
  /*  9928 */ "PaymentAddress" "\0"
  /*  9943 */ "PaymentMethodChangeEvent" "\0"
  /*  9968 */ "PaymentRequest" "\0"
  /*  9983 */ "PaymentRequestUpdateEvent" "\0"
  /* 10009 */ "PaymentResponse" "\0"
  /* 10025 */ "Performance" "\0"
  /* 10037 */ "PerformanceEntry" "\0"
  /* 10054 */ "PerformanceEntryEvent" "\0"
  /* 10076 */ "PerformanceEventTiming" "\0"
  /* 10099 */ "PerformanceMark" "\0"
  /* 10115 */ "PerformanceMeasure" "\0"
  /* 10134 */ "PerformanceNavigation" "\0"
  /* 10156 */ "PerformanceNavigationTiming" "\0"
  /* 10184 */ "PerformanceObserver" "\0"
  /* 10204 */ "PerformanceObserverEntryList" "\0"
  /* 10233 */ "PerformancePaintTiming" "\0"
  /* 10256 */ "PerformanceResourceTiming" "\0"
  /* 10282 */ "PerformanceServerTiming" "\0"
  /* 10306 */ "PerformanceTiming" "\0"
  /* 10324 */ "PeriodicWave" "\0"
  /* 10337 */ "PermissionStatus" "\0"
  /* 10354 */ "Permissions" "\0"
  /* 10366 */ "PlacesBookmark" "\0"
  /* 10381 */ "PlacesBookmarkAddition" "\0"
  /* 10404 */ "PlacesBookmarkChanged" "\0"
  /* 10426 */ "PlacesBookmarkGuid" "\0"
  /* 10445 */ "PlacesBookmarkKeyword" "\0"
  /* 10467 */ "PlacesBookmarkMoved" "\0"
  /* 10487 */ "PlacesBookmarkRemoved" "\0"
  /* 10509 */ "PlacesBookmarkTags" "\0"
  /* 10528 */ "PlacesBookmarkTime" "\0"
  /* 10547 */ "PlacesBookmarkTitle" "\0"
  /* 10567 */ "PlacesBookmarkUrl" "\0"
  /* 10585 */ "PlacesEvent" "\0"
  /* 10597 */ "PlacesEventCounts" "\0"
  /* 10615 */ "PlacesFavicon" "\0"
  /* 10629 */ "PlacesHistoryCleared" "\0"
  /* 10650 */ "PlacesObservers" "\0"
  /* 10666 */ "PlacesPurgeCaches" "\0"
  /* 10684 */ "PlacesRanking" "\0"
  /* 10698 */ "PlacesVisit" "\0"
  /* 10710 */ "PlacesVisitRemoved" "\0"
  /* 10729 */ "PlacesVisitTitle" "\0"
  /* 10746 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10772 */ "Plugin" "\0"
  /* 10779 */ "PluginArray" "\0"
  /* 10791 */ "PluginCrashedEvent" "\0"
  /* 10810 */ "PointerEvent" "\0"
  /* 10823 */ "PopStateEvent" "\0"
  /* 10837 */ "PopupBlockedEvent" "\0"
  /* 10855 */ "PopupPositionedEvent" "\0"
  /* 10876 */ "PositionStateEvent" "\0"
  /* 10895 */ "PrecompiledScript" "\0"
  /* 10913 */ "PrivateAttribution" "\0"
  /* 10932 */ "ProcessMessageManager" "\0"
  /* 10954 */ "ProcessingInstruction" "\0"
  /* 10976 */ "ProgressEvent" "\0"
  /* 10990 */ "PromiseDebugging" "\0"
  /* 11007 */ "PromiseNativeHandler" "\0"
  /* 11028 */ "PromiseRejectionEvent" "\0"
  /* 11050 */ "PublicKeyCredential" "\0"
  /* 11070 */ "PushEvent" "\0"
  /* 11080 */ "PushManager" "\0"
  /* 11092 */ "PushManagerImpl" "\0"
  /* 11108 */ "PushMessageData" "\0"
  /* 11124 */ "PushSubscription" "\0"
  /* 11141 */ "PushSubscriptionChangeEvent" "\0"
  /* 11169 */ "PushSubscriptionOptions" "\0"
  /* 11193 */ "RadioNodeList" "\0"
  /* 11207 */ "Range" "\0"
  /* 11213 */ "ReadableByteStreamController" "\0"
  /* 11242 */ "ReadableStream" "\0"
  /* 11257 */ "ReadableStream AsyncIterator" "\0"
  /* 11286 */ "ReadableStreamBYOBReader" "\0"
  /* 11311 */ "ReadableStreamBYOBRequest" "\0"
  /* 11337 */ "ReadableStreamDefaultController" "\0"
  /* 11369 */ "ReadableStreamDefaultReader" "\0"
  /* 11397 */ "Report" "\0"
  /* 11404 */ "ReportBody" "\0"
  /* 11415 */ "ReportingObserver" "\0"
  /* 11433 */ "Request" "\0"
  /* 11441 */ "ResizeObserver" "\0"
  /* 11456 */ "ResizeObserverEntry" "\0"
  /* 11476 */ "ResizeObserverSize" "\0"
  /* 11495 */ "Response" "\0"
  /* 11504 */ "SVGAElement" "\0"
  /* 11516 */ "SVGAngle" "\0"
  /* 11525 */ "SVGAnimateElement" "\0"
  /* 11543 */ "SVGAnimateMotionElement" "\0"
  /* 11567 */ "SVGAnimateTransformElement" "\0"
  /* 11594 */ "SVGAnimatedAngle" "\0"
  /* 11611 */ "SVGAnimatedBoolean" "\0"
  /* 11630 */ "SVGAnimatedEnumeration" "\0"
  /* 11653 */ "SVGAnimatedInteger" "\0"
  /* 11672 */ "SVGAnimatedLength" "\0"
  /* 11690 */ "SVGAnimatedLengthList" "\0"
  /* 11712 */ "SVGAnimatedNumber" "\0"
  /* 11730 */ "SVGAnimatedNumberList" "\0"
  /* 11752 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11783 */ "SVGAnimatedRect" "\0"
  /* 11799 */ "SVGAnimatedString" "\0"
  /* 11817 */ "SVGAnimatedTransformList" "\0"
  /* 11842 */ "SVGAnimationElement" "\0"
  /* 11862 */ "SVGCircleElement" "\0"
  /* 11879 */ "SVGClipPathElement" "\0"
  /* 11898 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11934 */ "SVGDefsElement" "\0"
  /* 11949 */ "SVGDescElement" "\0"
  /* 11964 */ "SVGElement" "\0"
  /* 11975 */ "SVGEllipseElement" "\0"
  /* 11993 */ "SVGFEBlendElement" "\0"
  /* 12011 */ "SVGFEColorMatrixElement" "\0"
  /* 12035 */ "SVGFEComponentTransferElement" "\0"
  /* 12065 */ "SVGFECompositeElement" "\0"
  /* 12087 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12114 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12142 */ "SVGFEDisplacementMapElement" "\0"
  /* 12170 */ "SVGFEDistantLightElement" "\0"
  /* 12195 */ "SVGFEDropShadowElement" "\0"
  /* 12218 */ "SVGFEFloodElement" "\0"
  /* 12236 */ "SVGFEFuncAElement" "\0"
  /* 12254 */ "SVGFEFuncBElement" "\0"
  /* 12272 */ "SVGFEFuncGElement" "\0"
  /* 12290 */ "SVGFEFuncRElement" "\0"
  /* 12308 */ "SVGFEGaussianBlurElement" "\0"
  /* 12333 */ "SVGFEImageElement" "\0"
  /* 12351 */ "SVGFEMergeElement" "\0"
  /* 12369 */ "SVGFEMergeNodeElement" "\0"
  /* 12391 */ "SVGFEMorphologyElement" "\0"
  /* 12414 */ "SVGFEOffsetElement" "\0"
  /* 12433 */ "SVGFEPointLightElement" "\0"
  /* 12456 */ "SVGFESpecularLightingElement" "\0"
  /* 12485 */ "SVGFESpotLightElement" "\0"
  /* 12507 */ "SVGFETileElement" "\0"
  /* 12524 */ "SVGFETurbulenceElement" "\0"
  /* 12547 */ "SVGFilterElement" "\0"
  /* 12564 */ "SVGForeignObjectElement" "\0"
  /* 12588 */ "SVGGElement" "\0"
  /* 12600 */ "SVGGeometryElement" "\0"
  /* 12619 */ "SVGGradientElement" "\0"
  /* 12638 */ "SVGGraphicsElement" "\0"
  /* 12657 */ "SVGImageElement" "\0"
  /* 12673 */ "SVGLength" "\0"
  /* 12683 */ "SVGLengthList" "\0"
  /* 12697 */ "SVGLineElement" "\0"
  /* 12712 */ "SVGLinearGradientElement" "\0"
  /* 12737 */ "SVGMPathElement" "\0"
  /* 12753 */ "SVGMarkerElement" "\0"
  /* 12770 */ "SVGMaskElement" "\0"
  /* 12785 */ "SVGMatrix" "\0"
  /* 12795 */ "SVGMetadataElement" "\0"
  /* 12814 */ "SVGNumber" "\0"
  /* 12824 */ "SVGNumberList" "\0"
  /* 12838 */ "SVGPathElement" "\0"
  /* 12853 */ "SVGPathSegment" "\0"
  /* 12868 */ "SVGPatternElement" "\0"
  /* 12886 */ "SVGPoint" "\0"
  /* 12895 */ "SVGPointList" "\0"
  /* 12908 */ "SVGPolygonElement" "\0"
  /* 12926 */ "SVGPolylineElement" "\0"
  /* 12945 */ "SVGPreserveAspectRatio" "\0"
  /* 12968 */ "SVGRadialGradientElement" "\0"
  /* 12993 */ "SVGRect" "\0"
  /* 13001 */ "SVGRectElement" "\0"
  /* 13016 */ "SVGSVGElement" "\0"
  /* 13030 */ "SVGScriptElement" "\0"
  /* 13047 */ "SVGSetElement" "\0"
  /* 13061 */ "SVGStopElement" "\0"
  /* 13076 */ "SVGStringList" "\0"
  /* 13090 */ "SVGStyleElement" "\0"
  /* 13106 */ "SVGSwitchElement" "\0"
  /* 13123 */ "SVGSymbolElement" "\0"
  /* 13140 */ "SVGTSpanElement" "\0"
  /* 13156 */ "SVGTextContentElement" "\0"
  /* 13178 */ "SVGTextElement" "\0"
  /* 13193 */ "SVGTextPathElement" "\0"
  /* 13212 */ "SVGTextPositioningElement" "\0"
  /* 13238 */ "SVGTitleElement" "\0"
  /* 13254 */ "SVGTransform" "\0"
  /* 13267 */ "SVGTransformList" "\0"
  /* 13284 */ "SVGUnitTypes" "\0"
  /* 13297 */ "SVGUseElement" "\0"
  /* 13311 */ "SVGViewElement" "\0"
  /* 13326 */ "Sanitizer" "\0"
  /* 13336 */ "Scheduler" "\0"
  /* 13346 */ "Screen" "\0"
  /* 13353 */ "ScreenLuminance" "\0"
  /* 13369 */ "ScreenOrientation" "\0"
  /* 13387 */ "ScriptProcessorNode" "\0"
  /* 13407 */ "ScrollAreaEvent" "\0"
  /* 13423 */ "SecurityPolicyViolationEvent" "\0"
  /* 13452 */ "Selection" "\0"
  /* 13462 */ "ServiceWorker" "\0"
  /* 13476 */ "ServiceWorkerContainer" "\0"
  /* 13499 */ "ServiceWorkerGlobalScope" "\0"
  /* 13524 */ "ServiceWorkerRegistration" "\0"
  /* 13550 */ "SessionStoreFormData" "\0"
  /* 13571 */ "SessionStoreScrollData" "\0"
  /* 13594 */ "SessionStoreUtils" "\0"
  /* 13612 */ "ShadowRealmGlobalScope" "\0"
  /* 13635 */ "ShadowRoot" "\0"
  /* 13646 */ "SharedWorker" "\0"
  /* 13659 */ "SharedWorkerGlobalScope" "\0"
  /* 13683 */ "SimpleGestureEvent" "\0"
  /* 13702 */ "SourceBuffer" "\0"
  /* 13715 */ "SourceBufferList" "\0"
  /* 13732 */ "SpeechGrammar" "\0"
  /* 13746 */ "SpeechGrammarList" "\0"
  /* 13764 */ "SpeechRecognition" "\0"
  /* 13782 */ "SpeechRecognitionAlternative" "\0"
  /* 13811 */ "SpeechRecognitionError" "\0"
  /* 13834 */ "SpeechRecognitionEvent" "\0"
  /* 13857 */ "SpeechRecognitionResult" "\0"
  /* 13881 */ "SpeechRecognitionResultList" "\0"
  /* 13909 */ "SpeechSynthesis" "\0"
  /* 13925 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13951 */ "SpeechSynthesisEvent" "\0"
  /* 13972 */ "SpeechSynthesisUtterance" "\0"
  /* 13997 */ "SpeechSynthesisVoice" "\0"
  /* 14018 */ "StaticRange" "\0"
  /* 14030 */ "StereoPannerNode" "\0"
  /* 14047 */ "Storage" "\0"
  /* 14055 */ "StorageEvent" "\0"
  /* 14068 */ "StorageManager" "\0"
  /* 14083 */ "StreamFilter" "\0"
  /* 14096 */ "StreamFilterDataEvent" "\0"
  /* 14118 */ "StructuredCloneHolder" "\0"
  /* 14140 */ "StructuredCloneTester" "\0"
  /* 14162 */ "StyleSheet" "\0"
  /* 14173 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14210 */ "StyleSheetList" "\0"
  /* 14225 */ "StyleSheetRemovedEvent" "\0"
  /* 14248 */ "SubmitEvent" "\0"
  /* 14260 */ "SubtleCrypto" "\0"
  /* 14273 */ "SyncMessageSender" "\0"
  /* 14291 */ "SyncReadFile" "\0"
  /* 14304 */ "TCPServerSocket" "\0"
  /* 14320 */ "TCPServerSocketEvent" "\0"
  /* 14341 */ "TCPSocket" "\0"
  /* 14351 */ "TCPSocketErrorEvent" "\0"
  /* 14371 */ "TCPSocketEvent" "\0"
  /* 14386 */ "TaskController" "\0"
  /* 14401 */ "TaskPriorityChangeEvent" "\0"
  /* 14425 */ "TaskSignal" "\0"
  /* 14436 */ "Tensor" "\0"
  /* 14443 */ "TestUtils" "\0"
  /* 14453 */ "TestingDeprecatedInterface" "\0"
  /* 14480 */ "Text" "\0"
  /* 14485 */ "TextClause" "\0"
  /* 14496 */ "TextDecoder" "\0"
  /* 14508 */ "TextDecoderStream" "\0"
  /* 14526 */ "TextEncoder" "\0"
  /* 14538 */ "TextEncoderStream" "\0"
  /* 14556 */ "TextEvent" "\0"
  /* 14566 */ "TextMetrics" "\0"
  /* 14578 */ "TextTrack" "\0"
  /* 14588 */ "TextTrackCue" "\0"
  /* 14601 */ "TextTrackCueList" "\0"
  /* 14618 */ "TextTrackList" "\0"
  /* 14632 */ "TimeEvent" "\0"
  /* 14642 */ "TimeRanges" "\0"
  /* 14653 */ "ToggleEvent" "\0"
  /* 14665 */ "Touch" "\0"
  /* 14671 */ "TouchEvent" "\0"
  /* 14682 */ "TouchList" "\0"
  /* 14692 */ "TrackEvent" "\0"
  /* 14703 */ "TransformStream" "\0"
  /* 14719 */ "TransformStreamDefaultController" "\0"
  /* 14752 */ "TransitionEvent" "\0"
  /* 14768 */ "TreeColumn" "\0"
  /* 14779 */ "TreeColumns" "\0"
  /* 14791 */ "TreeContentView" "\0"
  /* 14807 */ "TreeWalker" "\0"
  /* 14818 */ "TrustedHTML" "\0"
  /* 14830 */ "TrustedScript" "\0"
  /* 14844 */ "TrustedScriptURL" "\0"
  /* 14861 */ "TrustedTypePolicy" "\0"
  /* 14879 */ "TrustedTypePolicyFactory" "\0"
  /* 14904 */ "UDPMessageEvent" "\0"
  /* 14920 */ "UDPSocket" "\0"
  /* 14930 */ "UIEvent" "\0"
  /* 14938 */ "URL" "\0"
  /* 14942 */ "URLSearchParams" "\0"
  /* 14958 */ "URLSearchParams Iterator" "\0"
  /* 14983 */ "UniFFIPointer" "\0"
  /* 14997 */ "UniFFIScaffolding" "\0"
  /* 15015 */ "UserActivation" "\0"
  /* 15030 */ "UserInteraction" "\0"
  /* 15046 */ "UserProximityEvent" "\0"
  /* 15065 */ "VRDisplay" "\0"
  /* 15075 */ "VRDisplayCapabilities" "\0"
  /* 15097 */ "VRDisplayEvent" "\0"
  /* 15112 */ "VREyeParameters" "\0"
  /* 15128 */ "VRFieldOfView" "\0"
  /* 15142 */ "VRFrameData" "\0"
  /* 15154 */ "VRMockController" "\0"
  /* 15171 */ "VRMockDisplay" "\0"
  /* 15185 */ "VRPose" "\0"
  /* 15192 */ "VRServiceTest" "\0"
  /* 15206 */ "VRStageParameters" "\0"
  /* 15224 */ "VTTCue" "\0"
  /* 15231 */ "VTTRegion" "\0"
  /* 15241 */ "ValidityState" "\0"
  /* 15255 */ "VideoColorSpace" "\0"
  /* 15271 */ "VideoDecoder" "\0"
  /* 15284 */ "VideoEncoder" "\0"
  /* 15297 */ "VideoFrame" "\0"
  /* 15308 */ "VideoPlaybackQuality" "\0"
  /* 15329 */ "VideoTrack" "\0"
  /* 15340 */ "VideoTrackList" "\0"
  /* 15355 */ "ViewTransition" "\0"
  /* 15370 */ "VisualViewport" "\0"
  /* 15385 */ "WEBGL_color_buffer_float" "\0"
  /* 15410 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15440 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15469 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15499 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15530 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15560 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15595 */ "WEBGL_debug_renderer_info" "\0"
  /* 15621 */ "WEBGL_debug_shaders" "\0"
  /* 15641 */ "WEBGL_depth_texture" "\0"
  /* 15661 */ "WEBGL_draw_buffers" "\0"
  /* 15680 */ "WEBGL_explicit_present" "\0"
  /* 15703 */ "WEBGL_lose_context" "\0"
  /* 15722 */ "WEBGL_provoking_vertex" "\0"
  /* 15745 */ "WGSLLanguageFeatures" "\0"
  /* 15766 */ "WakeLock" "\0"
  /* 15775 */ "WakeLockSentinel" "\0"
  /* 15792 */ "WaveShaperNode" "\0"
  /* 15807 */ "WebExtensionContentScript" "\0"
  /* 15833 */ "WebExtensionPolicy" "\0"
  /* 15852 */ "WebGL2RenderingContext" "\0"
  /* 15875 */ "WebGLActiveInfo" "\0"
  /* 15891 */ "WebGLBuffer" "\0"
  /* 15903 */ "WebGLContextEvent" "\0"
  /* 15921 */ "WebGLFramebuffer" "\0"
  /* 15938 */ "WebGLProgram" "\0"
  /* 15951 */ "WebGLQuery" "\0"
  /* 15962 */ "WebGLRenderbuffer" "\0"
  /* 15980 */ "WebGLRenderingContext" "\0"
  /* 16002 */ "WebGLSampler" "\0"
  /* 16015 */ "WebGLShader" "\0"
  /* 16027 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16054 */ "WebGLSync" "\0"
  /* 16064 */ "WebGLTexture" "\0"
  /* 16077 */ "WebGLTransformFeedback" "\0"
  /* 16100 */ "WebGLUniformLocation" "\0"
  /* 16121 */ "WebGLVertexArrayObject" "\0"
  /* 16144 */ "WebKitCSSMatrix" "\0"
  /* 16160 */ "WebSocket" "\0"
  /* 16170 */ "WebTransport" "\0"
  /* 16183 */ "WebTransportBidirectionalStream" "\0"
  /* 16215 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16248 */ "WebTransportError" "\0"
  /* 16266 */ "WebTransportReceiveStream" "\0"
  /* 16292 */ "WebTransportSendStream" "\0"
  /* 16315 */ "WheelEvent" "\0"
  /* 16326 */ "Window" "\0"
  /* 16333 */ "WindowClient" "\0"
  /* 16346 */ "WindowContext" "\0"
  /* 16360 */ "WindowGlobalChild" "\0"
  /* 16378 */ "WindowGlobalParent" "\0"
  /* 16397 */ "WindowRoot" "\0"
  /* 16408 */ "Worker" "\0"
  /* 16415 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16441 */ "WorkerGlobalScope" "\0"
  /* 16459 */ "WorkerLocation" "\0"
  /* 16474 */ "WorkerNavigator" "\0"
  /* 16490 */ "WorkerTestUtils" "\0"
  /* 16506 */ "Worklet" "\0"
  /* 16514 */ "WorkletGlobalScope" "\0"
  /* 16533 */ "WritableStream" "\0"
  /* 16548 */ "WritableStreamDefaultController" "\0"
  /* 16580 */ "WritableStreamDefaultWriter" "\0"
  /* 16608 */ "XMLDocument" "\0"
  /* 16620 */ "XMLHttpRequest" "\0"
  /* 16635 */ "XMLHttpRequestEventTarget" "\0"
  /* 16661 */ "XMLHttpRequestUpload" "\0"
  /* 16682 */ "XMLSerializer" "\0"
  /* 16696 */ "XPathEvaluator" "\0"
  /* 16711 */ "XPathExpression" "\0"
  /* 16727 */ "XPathResult" "\0"
  /* 16739 */ "XRBoundedReferenceSpace" "\0"
  /* 16763 */ "XRFrame" "\0"
  /* 16771 */ "XRInputSource" "\0"
  /* 16785 */ "XRInputSourceArray" "\0"
  /* 16804 */ "XRInputSourceEvent" "\0"
  /* 16823 */ "XRInputSourcesChangeEvent" "\0"
  /* 16849 */ "XRPose" "\0"
  /* 16856 */ "XRReferenceSpace" "\0"
  /* 16873 */ "XRReferenceSpaceEvent" "\0"
  /* 16895 */ "XRRenderState" "\0"
  /* 16909 */ "XRRigidTransform" "\0"
  /* 16926 */ "XRSession" "\0"
  /* 16936 */ "XRSessionEvent" "\0"
  /* 16951 */ "XRSpace" "\0"
  /* 16959 */ "XRSystem" "\0"
  /* 16968 */ "XRView" "\0"
  /* 16975 */ "XRViewerPose" "\0"
  /* 16988 */ "XRViewport" "\0"
  /* 16999 */ "XRWebGLLayer" "\0"
  /* 17012 */ "XSLTProcessor" "\0"
  /* 17026 */ "XULCommandEvent" "\0"
  /* 17042 */ "XULElement" "\0"
  /* 17053 */ "XULFrameElement" "\0"
  /* 17069 */ "XULMenuElement" "\0"
  /* 17084 */ "XULPopupElement" "\0"
  /* 17100 */ "XULResizerElement" "\0"
  /* 17118 */ "XULTextElement" "\0"
  /* 17133 */ "XULTreeElement" "\0"
  /* 17148 */ "console" "\0"
  /* 17156 */ "webkitSpeechGrammar" "\0"
  /* 17176 */ "webkitSpeechGrammarList" "\0"
  /* 17200 */ "webkitSpeechRecognition" "\0"
  /* 17224 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

